org.jbpm.services.task.commands

## Class GetTasksOwnedCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.GetTasksOwnedCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>

      public class GetTasksOwnedCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTasksOwnedCommand()`
    `GetTasksOwnedCommand(String userId)`
    `GetTasksOwnedCommand(String userId, List<org.kie.api.task.model.Status> status)`
    `GetTasksOwnedCommand(String userId, List<org.kie.api.task.model.Status> status, org.kie.internal.query.QueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.api.runtime.Context cntxt)`
    `org.kie.internal.query.QueryFilter` | `getFilter()`
    `List<org.kie.api.task.model.Status>` | `getStatus()`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTasksOwnedCommand

          public GetTasksOwnedCommand()

    - #### GetTasksOwnedCommand

          public GetTasksOwnedCommand(String userId)

    - #### GetTasksOwnedCommand

          public GetTasksOwnedCommand(String userId,
                                      List<org.kie.api.task.model.Status> status)

    - #### GetTasksOwnedCommand

          public GetTasksOwnedCommand(String userId,
                                      List<org.kie.api.task.model.Status> status,
                                      org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### getStatus

          public List<org.kie.api.task.model.Status> getStatus()

    - #### getFilter

          public org.kie.internal.query.QueryFilter getFilter()

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.